ScopeAwareNearestVersionSelector (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class ScopeAwareNearestVersionSelector

    java.lang.Object
      org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector
          org.codehaus.groovy.grails.resolve.maven.aether.support.ScopeAwareNearestVersionSelector

    @groovy.transform.CompileStatic
    class ScopeAwareNearestVersionSelector
    extends org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector

Aether's default org.eclipse.aether.util.graph.transformer.NearestVersionSelector does not take into account differing scopes when picking a winner

Authors:
  Graeme Rocher

Since:
  2.3.3

Nested Class Summary
`static class` | `ScopeAwareNearestVersionSelector.ConflictGroup`
`class` | `ScopeAwareNearestVersionSelector.ScopeComparator`

Method Summary
`void` | `selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)`

Methods inherited from class org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector
org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#getInstance(org.eclipse.aether.graph.DependencyNode, org.eclipse.aether.collection.DependencyGraphTransformationContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(long, int), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(long), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#wait(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#equals(java.lang.Object), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#toString(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#hashCode(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#getClass(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#notify(), org.eclipse.aether.util.graph.transformer.ConflictResolver$VersionSelector#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### selectVersion

    @java.lang.Override
    void selectVersion(org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictContext context)

Groovy Documentation